Skip to main content
GET
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
settlements
/
reports
/
configuration
/
{id}
Get settlement report configuration
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/settlements/reports/configuration/{id} \
  --header 'x-api-key: <api-key>'
{
  "filetypes": [
    "<string>"
  ],
  "destinations": [
    {
      "destination_type": "account_email",
      "id": "<string>",
      "destination_value": "<string>"
    }
  ],
  "providers": [
    "<string>"
  ],
  "send_every": 86400000,
  "filters": [
    {
      "filter": "payout_destination_id",
      "value": "<string>"
    }
  ],
  "id": "<string>",
  "last_send_at": 123,
  "last_modified_at": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "account_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

X-API-Key authentication for accessing regular endpoints. Use Create api-key to create a key.

The content of the header should look like the following:

x-api-key: {api_key}

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
id
string<uuid>
required

report config id

Response

Settlement report configuration

filetypes
string[]
required

The filetypes that should be sent

destinations
object[]
required

List of destinations. If empty, the report is just stored and visible from the backoffice.

providers
string[]
required

List of providers to send report for. If empty, send for all.

send_every
number

Deprecated report configuration is not used for controlling when to create and send report

Value in milliseconds describing how often reports should be sent.

Example:

86400000

filters
object[]

The report will only be sent to the provided destinations if it satisfies these criterias.

id
string
last_send_at
number
read-only

Deprecated report configuration is not used for controlling when to create and send report

Value in milliseconds (Unix epoch) describing when last time reports was sent.

last_modified_at
number
read-only

Deprecated report configuration is not used for controlling when to create and send report

Value in milliseconds (Unix epoch) describing when last time reports was modified.

created_at
string<date-time>
read-only

The date-time when the resource was created

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

account_id
string
read-only